From 6a3373a257bfc0ec54653cdd9bebfa4b1c0ce1d7 Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Mon, 12 Feb 2024 16:16:41 +0530
Subject: [PATCH v1] Add publisher and subscriber to glossary documentation

Add publisher and subscriber to glossary documentation.
---
 doc/src/sgml/glossary.sgml | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 8c2f11480d..1dd3a61c17 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -1315,6 +1315,20 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-publisher">
+   <glossterm>Publisher</glossterm>
+   <glossdef>
+    <para>
+      A node where publication is defined. 
+      It replicates the publication changes to the subscriber node.
+    </para>
+    <para>
+     For more information, see
+     <xref linkend="logical-replication-publication"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-query">
    <glossterm>Query</glossterm>
    <glossdef>
@@ -1753,6 +1767,21 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-subscriber">
+   <glossterm>Subscriber</glossterm>
+   <glossdef>
+    <para>
+     A node where subscription is defined. 
+     It subscribe to one or more publications on a publisher node and pull the data 
+     from the publications they subscribe to.
+    </para>
+    <para>
+     For more information, see
+     <xref linkend="logical-replication-subscription"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+  
   <glossentry id="glossary-superuser">
    <glossterm>Superuser</glossterm>
    <glossdef>
-- 
2.34.1

